Loading...
Searching...
No Matches
etl::private_circular_iterator::circular_iterator_common< TIterator > Class Template Reference

Common circular iterator implementation. More...

`#include <circular_iterator.h>`

## Public Types

typedef etl::iterator_traits< TIterator >::value_type | value_type
typedef etl::iterator_traits< TIterator >::difference_type | difference_type
typedef etl::iterator_traits< TIterator >::pointer | pointer
typedef etl::iterator_traits< TIterator >::reference | reference
typedef etl::iterator_traits< TIterator >::iterator_category | iterator_category
Public Types inherited from etl::iterator< etl::iterator_traits< TIterator >::iterator_category, etl::iterator_traits< TIterator >::value_type >
typedef etl::iterator_traits< TIterator >::value_type | value_type
typedef ptrdiff_t | difference_type
typedef etl::iterator_traits< TIterator >::value_type * | pointer
typedef etl::iterator_traits< TIterator >::value_type & | reference
typedef etl::iterator_traits< TIterator >::iterator_category | iterator_category

## Public Member Functions

ETL_CONSTEXPR14 | circular_iterator_common ()
| Default constructor.
ETL_CONSTEXPR14 | circular_iterator_common (TIterator itr_begin_, TIterator itr_end_, TIterator start_)
| Construct from iterators.
ETL_CONSTEXPR14 | circular_iterator_common (const circular_iterator_common &other)
| Copy constructor.
ETL_CONSTEXPR14 circular_iterator_common & | operator= (const circular_iterator_common &other)
| Assignment.
ETL_CONSTEXPR14 TIterator | begin () const
| Beginning of the range.
ETL_CONSTEXPR14 TIterator | end () const
| End of the range.
ETL_CONSTEXPR14 size_t | size () const
| How long is the range?
ETL_CONSTEXPR14 bool | empty () const
| Is there nothing to iterate over?
ETL_CONSTEXPR14 value_type | operator* ()
| Dereference operator.
ETL_CONSTEXPR14 const value_type | operator* () const
| Dereference operator.
ETL_CONSTEXPR14 TIterator | operator-> ()
| -> operator.
ETL_CONSTEXPR14 const TIterator | operator-> () const
| -> operator.
ETL_CONSTEXPR14 | operator TIterator () const
| Conversion operator.
ETL_CONSTEXPR14 TIterator | current () const
| Conversion to base iterator type.

## Protected Attributes

TIterator | itr_begin
| The underlying begin iterator.
TIterator | itr_end
| The underlying end iterator.
TIterator | itr
| The underlying iterator.

## Detailed Description

template<typename TIterator>
class etl::private_circular_iterator::circular_iterator_common< TIterator >

Common circular iterator implementation.

The documentation for this class was generated from the following file:

- include/etl/circular_iterator.h